<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head scripts="ajax.js,~../reggie.js,~install.js" styles="path.css,table.css,~../css/reggie.css">

<style>
.report
{
	width: 100%;
	border-collapse: collapse;
}

.report .itemTypeCol
{
	width: 18em;
	overflow: hidden;
	text-overflow: ellipsis;
}

.report .iconCol
{
	width: 20px;
}
.report .statusCol
{}


.report th
{
	font-weight: bold;
	text-align: left;
	background: #E8E8E8;
	padding: 2px 4px 2px 4px;
}

.report td
{
	padding: 2px;
}

.report .newitemtype 
{
	border-top: 1px solid #A0A0A0;
	border-bottom: 1px solid #A0A0A0;
	font-weight: bold;
	background-color: #E8E8E8;
}
.report .sameitemtype 
{
	border-top: 1px dotted #A0A0A0;
	border-bottom: 1px dotted #A0A0A0;
}

.report .sameitemtype > td:first-child
{
	padding-left: 1em;
}

.report .check-not-ok
{
	font-weight: bold;
}

.report .sameitemtype.PLUGINCONFIGURATION > td:first-child
{
	padding-left: 2.5em;
	font-style: italic;
}

.report td 
{
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Installation wizard" 
		/></p:path>

	<div class="content" style="padding-left: 2em;">

		<div class="absolutefull" style="width: 33%; bottom: 10em;">
			<div id="validationResult0" class="absolutefull fullborder" style="left: 1em; right: 0.5em; border-top-width: 0 !important;">
				Checking; please wait...
			</div>
		</div>
		
		<div class="absolutefull" style="width: 33%; bottom: 10em; left: 33%;">
			<div id="validationResult1" class="absolutefull fullborder" style="left: 0.5em; right: 1em; border-top-width: 0 !important;">
			</div>
		</div>

		<div class="absolutefull" style="width: 34%; bottom: 10em; left: auto;">
			<div id="validationResult2" class="absolutefull fullborder" style="left: 0.5em; right: 1em; border-top-width: 0 !important;">
			</div>
		</div>

		<div class="absolutefull" style="top: auto; height: 10em; left: 1em; right: 1em;">
			<div id="createMissingItems" style="display:none; margin-top: 1em;">
				<base:buttongroup>
				<base:button id="btnCreateMissingItems" title="Create missing items" image="add.png" />
				</base:buttongroup>
			</div>
		
			<div id="fixIncompleteItems" style="display:none; margin-top: 1em;">
				<base:buttongroup>
				<base:button id="btnFixItems" title="Fix items" image="fixit.png" />
				</base:buttongroup>
			</div>
		
			<div class="messagecontainer error" id="errorMessage" style="display: none;"></div>
		
			<div class="messagecontainer note" id="warningMessage" style="display: none;">
				<div id="warningMessage.message"></div>
			</div>
		</div>
	
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>